LotusStyleManagerInternal::LineStyle Struct Reference

small struct used to defined line style More...

## Public Member Functions
| LineStyle ()
| constructor

## Public Attributes
float | m_width
| the line width
WPSColor | m_color
| the line color
int | m_dashId
| the dash id
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, LineStyle const &line)
| operator<<

## Detailed Description

small struct used to defined line style

## Constructor & Destructor Documentation

## ◆ LineStyle()

LotusStyleManagerInternal::LineStyle::LineStyle | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | LineStyle const & | line )
| friend

operator<<

## Member Data Documentation

## ◆ m_color

WPSColor LotusStyleManagerInternal::LineStyle::m_color

the line color

Referenced by LineStyle(), operator<<, LotusStyleManager::readGraphicStyleC9(), and LotusStyleManager::readLineStyle().

## ◆ m_dashId

int LotusStyleManagerInternal::LineStyle::m_dashId

the dash id

Referenced by LineStyle(), operator<<, and LotusStyleManager::readLineStyle().

## ◆ m_extra

std::string LotusStyleManagerInternal::LineStyle::m_extra

extra data

Referenced by LineStyle(), operator<<, and LotusStyleManager::readLineStyle().

## ◆ m_width

float LotusStyleManagerInternal::LineStyle::m_width

the line width

Referenced by LineStyle(), operator<<, LotusStyleManager::readGraphicStyleC9(), and LotusStyleManager::readLineStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp